Bug 393371 - yum-security generates Python traceback while updating tetex
yum-security generates Python traceback while updating tetex
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 17:42 EST by Andre Robatino
Modified: 2008-03-11 08:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.2.8-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 08:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2007-11-20 17:42:10 EST
Description of problem:
  Ran "yum --security update" to try out yum-security for the first time after
installing it.  Got the following errors.  Subsequently did the update without
the --security option with no problems.

[root@localhost ~]# yum --security update
Loading "presto" plugin
Loading "security" plugin
Setting up and reading Presto delta metadata
No Presto metadata available for livna
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
No Presto metadata available for dribble
No Presto metadata available for fedora
Setting up Update Process
Resolving Dependencies
Limiting packages to security relevant ones
updateinfo.xml.gz         100% |=========================| 128 kB    00:00     
Needed 6 of 82 packages, for security
--> Running transaction check
---> Package tetex-fonts.i386 0:3.0-44.3.fc8 set to be updated
---> Package tetex-xdvi.i386 0:3.0-44.3.fc8 set to be updated
---> Package tetex-latex.i386 0:3.0-44.3.fc8 set to be updated
---> Package tetex-dvips.i386 0:3.0-44.3.fc8 set to be updated
---> Package tetex-afm.i386 0:3.0-44.3.fc8 set to be updated
---> Package tetex.i386 0:3.0-44.3.fc8 set to be updated
--> Processing Dependency: dialog for package: tetex
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 574, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 713, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 795, in
_resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 249, in _processReq
    CheckDeps, missingdep = self._requiringFromTransaction(po, requirement,
errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 501, in
_requiringFromTransaction
    reqpkg = self.rpmdb.searchNevra(name=name, ver=version, rel=release)[0]
IndexError: list index out of range
[root@localhost ~]#

Version-Release number of selected component (if applicable):
yum-security-1.1.8-1.fc8

How reproducible:
don't know, probably always
Comment 1 seth vidal 2007-11-21 00:16:48 EST
what version of yum are you using here?
Comment 2 Andre Robatino 2007-11-21 00:22:01 EST
yum-3.2.7-1.fc8

I was fully updated before the latest batch of updates which didn't include yum,
so it was the same version when running "yum --security update".
Comment 3 Seth Vidal 2008-03-11 01:44:27 EDT
is this still happening or reproducible on yum 3.2.8 in f8?
Comment 4 Andre Robatino 2008-03-11 07:41:36 EDT
Note that I'm using presto, which I later found doesn't provide the security
metadata, so I stopped trying to use --security after that, so don't know.  But
it's possible that my problem was due to some kind of bad interaction with presto.
Comment 5 Seth Vidal 2008-03-11 08:45:29 EDT
okay, I'm going to to close this bug for now. If you find out that's not true,
re-open this bug or open a new one.

thanks

Note You need to log in before you can comment on or make changes to this bug.